Integration with React
You should be familiar with the basic concepts and patterns of React before reading this documentation. To refresh your knowledge, please refer to the React documentation.
DHTMLX Suite widgets are compatible with React. For more information, refer to the corresponding example on GitHub: DHTMLX Suite with React Demo.
Create new React project
Step 1. Create a project and name it as my-react-suite-app:
npx create-react-app my-react-suite-app
Step 2. Go to the project directory:
cd my-react-suite-app
Step 3. Install dependencies and start the dev server:
- if you use yarn, run the following commands:
yarn
yarn start
- if you use npm, run the following commands:
npm install
npm run dev
The app should run on a localhost (for instance http://localhost:3000
).
Install Suite sources
Install the DHTMLX Suite library to get access to Suite widgets. Refer to the following topic for more information: Installing DHTMLX Suite via npm or yarn
Create React component
Now you can create React components (wrappers) based on Suite widgets. For each complex Suite widget you can create a separate file (for instance Grid.jsx) in the src/ directory.
Import source files
Open the Grid.jsx file and import the corresponding Suite widget. Note that:
- if you use PRO version and install the Suite package from a local folder, the import paths look as follows:
import { SuiteWidgetName } from "dhx-suite-package"; // import { Grid, Pagination, ... } from "dhx-suite-package";
import "dhx-suite-package/codebase/suite.css"; // import Suite styles
Note that depending on the used package, the source files can be minified. In this case, make sure that you import the CSS file as suite.min.css.
- if you use the trial version of Suite, the import paths look as follows:
import { SuiteWidgetName } from "@dhx/trial-suite"; // import { Grid, Pagination, ... } from "@dhx/trial-suite";
import "@dhx/trial-suite/codebase/suite.min.css"; // import Suite styles
In this guide you can find basic concepts on how to utilize the trial version of Suite widgets.
Initialize Suite widget(s) within a container
To display a Suite widget on a page, you need to create a container and initialize a widget through the corresponding constructor:
import { useEffect, useRef } from "react";
// import a Suite widget
import { Grid } from "@dhx/trial-suite";
// import Suite styles
import "@dhx/trial-suite/codebase/suite.min.css";
// create and export the React component
export default function GridComponent() {
let grid_container = useRef(); // initialize container for a Suite widget
useEffect(() => {
// initialize a Suite widget
const grid_widget = new Grid(grid_container.current, {
// configuration properties here
});
return () => {
grid_widget.destructor(); // destruct a Suite widget
};
}, []);
return <div className="component_container">
<div ref={grid_container} className="widget"></div>
</div>
}
Load data
To add data into a Suite widget, you need to provide a data set. You can create the data.js file in the src/ directory and add required data sets:
export function getData() {
const gridData = [
{
time: new Date("Jan 28, 2021"),
nights: 7,
price: 68,
contactPerson: "Yoshio Slater",
contactEmail: "phasellus.fermentum@yahoo.net"
},
{
time: new Date("Apr 13, 2021")
nights: 6,
price: 66,
contactPerson: "Christopher Kirk",
contactEmail: "posuere.vulputate.lacus@outlook.org"
},
{
time: new Date("Jan 31, 2021"),
nights: 15,
price: 64,
contactPerson: "Jana Meyers",
contactEmail: "mollis@aol.edu"
},
// other data items
];
const sidebarData = [ /* ... */ ];
return { gridData, sidebarData };
}
Specify data through the property
To load predefined data into a Suite widget, you need to perform the following steps:
- Import predefined data
- Initialize the required data set
- Set the
data
property to the predefined data set within the Suite widget constructor
import { useEffect, useRef } from "react";
import { Grid } from "@dhx/trial-suite";
import "@dhx/trial-suite/codebase/suite.min.css";
import { getData } from "../../data"; // 1. import predefined data
export default function Grid() {
const { gridData } = getData(); // 2. initialize the required data set
let grid_container = useRef();
useEffect(() => {
// initialize a Suite widget with data
const grid_widget = new Grid(grid_container.current, {
data: gridData, // 3. set the `data` property to the predefined data set
// other configuration properties
});
return () => {
grid_widget.destructor();
};
}, [gridData]);
return <div className="component_container">
<div ref={grid_container} className="widget"></div>
</div>
}
Specify data through the method
To load predefined data into a Suite widget, you can also call the parse()
method:
import { useEffect, useRef } from "react";
import { Grid } from "@dhx/trial-suite";
import "@dhx/trial-suite/codebase/suite.min.css";
import { getData } from "../../data"; // 1. import predefined data
export default function Grid() {
const { gridData } = getData(); // 2. initialize the required data set
let grid_container = useRef();
useEffect(() => {
// initialize a Suite widget without data
const grid_widget = new Grid(grid_container.current, {
// configuration properties here
});
grid_widget.data.parse(gridData); // 3. call the parse() method and pass data as a parameter
return () => {
grid_widget.destructor();
};
}, []);
return <div className="component_container">
<div ref={grid_container} className="widget"></div>
</div>
}
Handle events
When a user performs some action in a Suite widget, an event is fired. You can use this event to detect an action and run the required code.
// ...
useEffect(() => {
const grid_widget = new Grid(grid_container.current, {});
grid_widget.events.on("scroll", function({top,left}){
console.log("The grid is scrolled to "+top,left);
});
//...
}, []);
// ...
Now you know how to integrate and configure any Suite widget with React. You can customize the code according to your specific requirements. The extended example you can find on GitHub.

Integration with Svelte
You should be familiar with the basic concepts and patterns of Svelte before reading this documentation. To refresh your knowledge, please refer to the Svelte documentation.
DHTMLX Suite is compatible with Svelte. For more information, refer to the corresponding example on GitHub: DHTMLX Suite with Svelte Demo.
Create new Svelte project
Step 1. Create a project and name it as my-svelte-suite-app:
There are several ways on how to create a Svelte project:
- you can use the SvelteKit
or
- you can also use Svelte with Vite (but without SvelteKit):
npm create vite@latest
Check the details in the related article.
Step 2. Go to the project directory:
cd my-svelte-suite-app
Step 3. Install dependencies and start the dev server:
- if you use yarn, run the following commands:
yarn
yarn start
- if you use npm, run the following commands:
npm install
npm run dev
The app should run on a localhost (for instance http://localhost:3000
).
Install Suite sources
Install the DHTMLX Suite library to get access to Suite widgets. Refer to the following topic for more information: Installing DHTMLX Suite via npm or yarn
Create Svelte component
Now you can create Svelte components (wrappers) based on Suite widgets. For each complex Suite widget you can create a separate file (for instance Grid.svelte) in the src/ directory.
Import source files
Open the Grid.svelte file and import the corresponding Suite widget. Note that:
- if you use PRO version and install the Suite package from a local folder, the import paths look as follows:
import { SuiteWidgetName } from "dhx-suite-package"; // import { Grid, Pagination, ... } from "dhx-suite-package";
import "dhx-suite-package/codebase/suite.css"; // import Suite styles
Note that depending on the used package, the source files can be minified. In this case, make sure that you import the CSS file as suite.min.css.
- if you use the trial version of Suite, the import paths look as follows:
import { SuiteWidgetName } from "@dhx/trial-suite"; // import { Grid, Pagination, ... } from "@dhx/trial-suite";
import "@dhx/trial-suite/codebase/suite.min.css"; // import Suite styles
In this guide you can find basic concepts on how to utilize the trial version of Suite widgets.
Initialize Suite widget(s) within a container
To display a Suite widget on a page, you need to create a container and initialize a widget through the corresponding constructor:
<script>
import { onMount, onDestroy } from "svelte";
// import a Suite widget
import { Grid } from "@dhx/trial-suite";
// import Suite styles
import "@dhx/trial-suite/codebase/suite.min.css";
let grid_container, // initialize container for a Suite widget
grid_widget;
onMount(() => {
// initialize a Suite widget
grid_widget = new Grid(grid_container, {
// configuration properties here
});
});
onDestroy(() => {
grid_widget?.destructor(); // destruct a Suite widget
});
</script>
<div class="component_container">
<div bind:this={grid_container} class="widget"></div>
</div>
Load data
To add data into a Suite widget, you need to provide a data set. You can create the data.js file in the src/ directory and add required data sets:
export function getData() {
const gridData = [
{
time: new Date("Jan 28, 2021"),
nights: 7,
price: 68,
contactPerson: "Yoshio Slater",
contactEmail: "phasellus.fermentum@yahoo.net"
},
{
time: new Date("Apr 13, 2021")
nights: 6,
price: 66,
contactPerson: "Christopher Kirk",
contactEmail: "posuere.vulputate.lacus@outlook.org"
},
{
time: new Date("Jan 31, 2021"),
nights: 15,
price: 64,
contactPerson: "Jana Meyers",
contactEmail: "mollis@aol.edu"
},
// other data items
];
const sidebarData = [ /* ... */ ];
return { gridData, sidebarData };
}
Specify data through the property
To load predefined data into a Suite widget, you need to perform the following steps:
- Import predefined data
- Initialize the required data set
- Set the
data
property to the predefined data set within the Suite widget constructor
<script>
import { onMount, onDestroy } from "svelte";
import { Grid } from "@dhx/trial-suite";
import "@dhx/trial-suite/codebase/suite.min.css";
import { getData } from "../../data"; // 1. import predefined data
let { gridData } = getData(); // 2. initialize the required data set
let grid_container,
grid_widget;
onMount(() => {
// initialize a Suite widget with data
grid_widget = new Grid(grid_container, {
data: gridData, // 3. set the `data` property to the predefined data set
// other configuration properties here
});
});
onDestroy(() => {
grid_widget?.destructor();
});
</script>
<div class="component_container">
<div bind:this={grid_container} class="widget"></div>
</div>
Specify data through the method
To load predefined data into a Suite widget, you can also call the parse()
method:
<script>
import { onMount, onDestroy } from "svelte";
import { Grid } from "@dhx/trial-suite";
import "@dhx/trial-suite/codebase/suite.min.css";
import { getData } from "../../data"; // 1. import predefined data
let { gridData } = getData(); // 2. initialize the required data set
let grid_container,
grid_widget;
onMount(() => {
// initialize a Suite widget without data
grid_widget = new Grid(grid_container, {
// configuration properties here
});
grid_widget.data.parse(gridData); // 3. call the parse() method and pass data as a parameter
});
onDestroy(() => {
grid_widget?.destructor();
});
</script>
<div class="component_container">
<div bind:this={grid_container} class="widget"></div>
</div>
Handle events
When a user performs some action in a Suite widget, an event is fired. You can use this event to detect an action and run the required code.
// ...
onMount(() => {
grid_widget = new Grid(grid_container, {});
grid_widget.events.on("scroll", function({top,left}){
console.log("The grid is scrolled to "+top,left);
});
});
// ...
Now you know how to integrate and configure any Suite widget with Svelte. You can customize the code according to your specific requirements. The extended example you can find on GitHub.

Integration with Vue
You should be familiar with the basic concepts and patterns of Vue before reading this documentation. To refresh your knowledge, please refer to the Vue 3 documentation.
DHTMLX Suite is compatible with Vue. For more information, refer to the corresponding example on GitHub: DHTMLX Suite with Vue Demo.
Create new Vue project
Before you start to create a new project, install Node.js.
Step 1. Create a project and name it as my-vue-suite-app:
npm create vue@latest
This command installs and executes create-vue
, the official Vue project scaffolding tool. Check the details in the Vue.js Quick Start.
Step 2. Go to the project directory:
cd my-vue-suite-app
Step 3. Install dependencies and start the dev server:
- if you use yarn, run the following commands:
yarn
yarn start // or yarn dev
- if you use npm, run the following commands:
npm install
npm run dev
The app should run on a localhost (for instance http://localhost:3000
).
Install Suite sources
Install the DHTMLX Suite library to get access to Suite widgets. Refer to the following topic for more information: Installing DHTMLX Suite via npm or yarn
Create Vue component
Now you can create Vue components (wrappers) based on Suite widgets. For each complex Suite widget you can create a separate file (for instance Grid.vue) in the src/ directory.
Import source files
Open the Grid.vue file and import Suite source files. Note that:
- if you use PRO version and install the Suite package from a local folder, the import paths look as follows:
<script>
import { SuiteWidgetName } from "dhx-suite-package"; // import { Grid, Pagination, ... } from "dhx-suite-package";
import "dhx-suite-package/codebase/suite.css"; // import Suite styles
</script>
Note that depending on the used package, the source files can be minified. In this case, make sure that you import the CSS file as suite.min.css.
- if you use the trial version of Suite, the import paths look as follows:
<script>
import { SuiteWidgetName } from "@dhx/trial-suite"; // import { Grid, Pagination, ... } from "@dhx/trial-suite";
import "@dhx/trial-suite/codebase/suite.min.css"; // import Suite styles
</script>
In this guide you can find basic concepts on how to utilize the trial version of Suite widgets.
Initialize Suite widget(s) within a container
To display a Suite widget on a page, you need to create a container and initialize a widget through the corresponding constructor:
<script>
// import a Suite widget
import { Grid } from "@dhx/trial-suite";
// import Suite styles
import "@dhx/trial-suite/codebase/suite.min.css";
// create and export the Vue component
export default {
mounted() {
// initialize a Suite widget
this.grid_widget = new Grid(this.$refs.grid_container, {
// configuration properties here
});
},
unmounted() {
this.grid_widget?.destructor(); // destruct a Suite widget
}
};
</script>
<template>
<div class="component_container">
<div ref="grid_container" class="widget"></div>
</div>
</template>
Load data
To add data into a Suite widget, you need to provide a data set. You can create the data.js file in the src/ directory and add required data sets:
export function getData() {
const gridData = [
{
time: new Date("Jan 28, 2021"),
nights: 7,
price: 68,
contactPerson: "Yoshio Slater",
contactEmail: "phasellus.fermentum@yahoo.net"
},
{
time: new Date("Apr 13, 2021")
nights: 6,
price: 66,
contactPerson: "Christopher Kirk",
contactEmail: "posuere.vulputate.lacus@outlook.org"
},
{
time: new Date("Jan 31, 2021"),
nights: 15,
price: 64,
contactPerson: "Jana Meyers",
contactEmail: "mollis@aol.edu"
},
// other data items
];
const sidebarData = [ /* ... */ ];
return { gridData, sidebarData };
}
Specify data through the property
To load predefined data into a Suite widget, you need to perform the following steps:
- Import predefined data
- Initialize the required data set
- Set the
data
property to the predefined data set within the Suite widget constructor
<script>
import { Grid } from "@dhx/trial-suite";
import "@dhx/trial-suite/codebase/suite.min.css";
import { getData } from "../../data"; // 1. import predefined data
export default {
data() {
const { gridData } = getData(); // 2. initialize the required data set
return { gridData };
},
mounted() {
// initialize a Suite widget with data
this.grid_widget = new Grid(this.$refs.grid_container, {
data: gridData, // 3. set the `data` property to the predefined data set
// other configuration properties
});
},
unmounted() {
this.grid_widget?.destructor();
}
};
</script>
<template>
<div class="component_container">
<div ref="grid_container" class="widget"></div>
</div>
</template>
Specify data through the method
To load predefined data into a Suite widget, you can also call the parse()
method:
<script>
import { Grid } from "@dhx/trial-suite";
import "@dhx/trial-suite/codebase/suite.min.css";
import { getData } from "../../data"; // 1. import predefined data
export default {
data() {
const { gridData } = getData(); // 2. initialize the required data set
return { gridData };
},
mounted() {
// initialize a Suite widget without data
this.grid_widget = new Grid(this.$refs.grid_container, {
// other configuration properties
});
this.grid_widget.data.parse(gridData); // 3. call the parse() method and pass data as a parameter
},
unmounted() {
this.grid_widget?.destructor();
}
};
</script>
<template>
<div class="component_container">
<div ref="grid_container" class="widget"></div>
</div>
</template>
Handle events
When a user performs some action in a Suite widget, an event is fired. You can use this event to detect an action and run the required code.
// ...
mounted() {
this.grid_widget = new Grid(this.$refs.grid_container, {});
this.grid_widget..events.on("scroll", function({top,left}){
console.log("The grid is scrolled to "+top,left);
});
}
// ...
Now you know how to integrate and configure any Suite widget with Vue. You can customize the code according to your specific requirements. The extended example you can find on GitHub.

Skip to main content

Integration with Angular

tip

You should be familiar with basic concepts and patterns of Angular before reading this documentation. To refresh your knowledge, please refer to the Angular documentation.

DHTMLX Suite is compatible with Angular. For more information, refer to the corresponding example on GitHub: DHTMLX Suite with Angular Demo.

Create new Angular project

info

Before you start to create a new project, install Angular CLI and Node.js.

Step 1. Create a project and name it as my-angular-suite-app:

ng new my-angular-suite-app
note

If you want to follow this guide, disable Server-Side Rendering (SSR) and Static Site Generation (SSG/Prerendering) when creating new Angular app!

The command above installs all the necessary tools, so you don't need to run any additional commands.

Step 2. Go to the project directory:

cd my-angular-suite-app

Step 3. Install dependencies and start the dev server. Use the yarn package manager:

yarn
yarn start

The app should run on a localhost (for instance http://localhost:3000).

Install Suite sources

Install the DHTMLX Suite library to get access to Suite widgets. Refer to the following topic for more information: Installing DHTMLX Suite via npm or yarn

Create Angular component

Now you can create Angular components (wrappers) based on Suite widgets. For each complex Suite widget you can create a separate file (for instance grid.component.ts) in the src/ directory.

Import source files

Open the grid.component.ts file and import the corresponding Suite widget. Note that:

  • if you use PRO version and install the Suite package from a local folder, the import paths look as follows:
grid.component.ts
import { SuiteWidgetName } from "dhx-suite-package"; // import { Grid, Pagination, ... } from "dhx-suite-package";
import "dhx-suite-package/codebase/suite.css"; // import Suite styles

Note that depending on the used package, the source files can be minified. In this case, make sure that you import the CSS file as suite.min.css.

  • if you use the trial version of Suite, the import paths look as follows:
grid.component.ts
import { SuiteWidgetName } from "@dhx/trial-suite"; // import { Grid, Pagination, ... } from "@dhx/trial-suite";
import "@dhx/trial-suite/codebase/suite.min.css"; // import Suite styles

In this guide you can find basic concepts on how to utilize the trial version of Suite widgets.

Initialize Suite widget(s) within a container

To display a Suite widget on a page, you need to create a container and initialize a widget through the corresponding constructor:

grid.component.ts
// import a Suite widget
import { Grid } from "@dhx/trial-suite";
// import Suite styles
import "@dhx/trial-suite/codebase/suite.min.css";

import {
Component,
ElementRef,
OnInit,
OnDestroy,
ViewChild
} from "@angular/core";

@Component({
selector: "app-grid",
template: `<div className="component_container">
<div #grid_container className="widget"></div>
</div>`
})

// create and export the Angular component
export class GridComponent implements OnInit, OnDestroy {
@ViewChild("grid_container", { static: true }) grid_container!: ElementRef;

private _grid_widget!: Grid;

ngOnInit() {
// initialize a Suite widget
this._grid_widget = new Grid(this.grid_container.nativeElement, {
// configuration properties here
});
}

ngOnDestroy() {
this._grid_widget?.destructor(); // destruct a Suite widget
}
}

Load data

To add data into a Suite widget, you need to provide a data set. You can create the app.data.ts file in the src/ directory and add required data sets:

app.data.ts
export function getData() {
const gridData = [
{
time: new Date("Jan 28, 2021"),
nights: 7,
price: 68,
contactPerson: "Yoshio Slater",
contactEmail: "phasellus.fermentum@yahoo.net"
},
{
time: new Date("Apr 13, 2021")
nights: 6,
price: 66,
contactPerson: "Christopher Kirk",
contactEmail: "posuere.vulputate.lacus@outlook.org"
},
{
time: new Date("Jan 31, 2021"),
nights: 15,
price: 64,
contactPerson: "Jana Meyers",
contactEmail: "mollis@aol.edu"
},
// other data items
];

const sidebarData = [ /* ... */ ];

return { gridData, sidebarData };
}

Specify data through the property

To load predefined data into a Suite widget, you need to perform the following steps:

  1. Import predefined data
  2. Initialize the required data set
  3. Set the data property to the predefined data set within the Suite widget constructor
grid.component.ts
import { Grid } from "@dhx/trial-suite";
import "@dhx/trial-suite/codebase/suite.min.css";

import { getData } from "../../../app.data"; // 1. import predefined data

import {
Component,
ElementRef,
OnInit,
OnDestroy,
ViewChild
} from "@angular/core";

@Component({
selector: "app-grid",
template: `<div className="component_container">
<div #grid_container className="widget"></div>
</div>`
})

export class GridComponent implements OnInit, OnDestroy {
@ViewChild("grid_container", { static: true }) grid_container!: ElementRef;

private _grid_widget!: Grid;

ngOnInit() {
const { gridData } = getData(); // 2. initialize the required data set
// initialize a Suite widget with data
this._grid_widget = new Grid(this.grid_container.nativeElement, {
data: gridData, // 3. set the `data` property to the predefined data set
// other configuration properties
});
}

ngOnDestroy() {
this._grid_widget?.destructor(); // destruct a Suite widget
}
}
tip

For more information, refer to the Data loading section of the corresponding control: Tree, Toolbar, Sidebar, Ribbon, Menu, List, Grid, DataView, Combobox, Chart, etc.

Specify data through the method

To load predefined data into a Suite widget, you can also call the parse() method:

grid.component.ts
import { Grid } from "@dhx/trial-suite";
import "@dhx/trial-suite/codebase/suite.min.css";

import { getData } from "../../../app.data"; // 1. import predefined data

import {
Component,
ElementRef,
OnInit,
OnDestroy,
ViewChild
} from "@angular/core";

@Component({
selector: "app-grid",
template: `<div className="component_container">
<div #grid_container className="widget"></div>
</div>`
})

export class GridComponent implements OnInit, OnDestroy {
@ViewChild("grid_container", { static: true }) grid_container!: ElementRef;

private _grid_widget!: Grid;

ngOnInit() {
const { gridData } = getData(); // 2. initialize the required data set
// initialize a Suite widget without data
this._grid_widget = new Grid(this.grid_container.nativeElement, {
// other configuration properties
});

this._grid_widget.data.parse(gridData); // 3. call the parse() method and pass data as a parameter
}

ngOnDestroy() {
this._grid_widget?.destructor(); // destruct a Suite widget
}
}

Handle events

When a user performs some action in a Suite widget, an event is fired. You can use this event to detect an action and run the required code.

grid.component.ts
// ...

ngOnInit() {
this._grid_widget = new Grid(this.grid_container.nativeElement, {});

this._grid_widget.events.on("scroll", function({top,left}){
console.log("The grid is scrolled to "+top,left);
});
}

// ...

Now you know how to integrate and configure any Suite widget with Angular. You can customize the code according to your specific requirements. The extended example you can find on GitHub.